<!DOCTYPE html>
<html>

<head>
  <base href="$FLUTTER_BASE_HREF">

  <meta charset="UTF-8">
  <meta content="IE=Edge" http-equiv="X-UA-Compatible">
  <meta name="description" content="Privacy respecting personal financial tracking">

  <!-- iOS meta tags & icons -->
  <meta name="apple-mobile-web-app-capable" content="yes">
  <meta name="apple-mobile-web-app-status-bar-style" content="black">
  <meta name="apple-mobile-web-app-title" content="Reckoner">
  <link rel="apple-touch-icon" href="icons/Icon-192.png">

  <!-- Favicon -->
  <link rel="icon" type="image/png" href="favicon.png" />

  <title>Reckoner</title>
  <link rel="manifest" href="manifest.json">

  <!-- Custom CSS styling for the loading spinner -->
  <style>
    .loading {
      display: flex;
      justify-content: center;
      align-items: center;
      margin: 0;
      position: absolute;
      top: 50%;
      left: 50%;
      -ms-transform: translate(-50%, -50%);
      transform: translate(-50%, -50%);
    }
    
    .loader {
      /* border and border-top should match the app theme */
      border: 4px solid #FFFFFF;
      border-top: 4px solid #3F51B5;
      border-radius: 50%;
      /* similar size to CircularProgressIndicator */
      width: 35px;
      height: 35px;
      /* similar animation to CircularProgressIndicator */
      animation: spin 1s linear infinite;
    }

    @keyframes spin {
      0% { transform: rotate(0deg); }
      100% { transform: rotate(360deg); }
    }
  </style>
</head>

<body>
  <script src="flutter_bootstrap.js" async></script>
  <div class="loading">
     <span style="font-size: 3em;">Loading App</span> &nbsp;&nbsp;<div class="loader" />
  </div>
</body>

</html>